# Class AnnotationProcessors

java.lang.Object
com.sun.mirror.apt.AnnotationProcessors

public class AnnotationProcessors extends Object
Utilities to create specialized annotation processors.

Since:
  1.5
Author:
  Joseph D. Darcy, Scott Seligman

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AnnotationProcessor`
`NO_OP`
An annotation processor that does nothing and has no state.

## Constructor Summary

Constructors
Constructor
Description
`AnnotationProcessors()`

## Method Summary

Modifier and Type
Method
Description
`static AnnotationProcessor`
`getCompositeAnnotationProcessor(AnnotationProcessor... aps)`
Constructs a new composite annotation processor.
`static AnnotationProcessor`
`getCompositeAnnotationProcessor(Collection<AnnotationProcessor> aps)`
Constructs a new composite annotation processor.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NO_OP

public static final AnnotationProcessor NO_OP
An annotation processor that does nothing and has no state. May be used multiple times.

Since:
  1.5

## Constructor Details

### AnnotationProcessors

public AnnotationProcessors()

## Method Details

### getCompositeAnnotationProcessor

public static AnnotationProcessor getCompositeAnnotationProcessor(AnnotationProcessor... aps)
Constructs a new composite annotation processor. A composite annotation processor combines multiple annotation processors into one and functions by invoking each of its component processors' process methods in sequence.

Parameters:
  `aps` - The processors to create a composite of
Since:
  1.5

### getCompositeAnnotationProcessor

public static AnnotationProcessor getCompositeAnnotationProcessor(Collection<AnnotationProcessor> aps)
Constructs a new composite annotation processor. A composite annotation processor combines multiple annotation processors into one and functions by invoking each of its component processors' process methods in the sequence the processors are returned by the collection's iterator.

Parameters:
  `aps` - A collection of processors to create a composite of
Since:
  1.5